# Please keep this package in sync with FC

Name:		virt-viewer
Version:	11.0
Release:	%mkrel 3
Summary:	Virtual Machine Viewer
License:	GPLv2+
Group:		Graphical desktop/GNOME
URL:		https://gitlab.com/virt-viewer/virt-viewer
Source0:	https://virt-manager.org/download/sources/%{name}/%{name}-%{version}.tar.xz
# https://gitlab.com/virt-viewer/virt-viewer/-/merge_requests/129
Patch1:		0001-ovirt-Remove-unused-declaration-ovirt_foreign_menu_g.patch
Patch2:		0002-remote-viewer-Update-govirt-requirement.patch
Patch3:		0003-remote-viewer-Simplify-oVirt-username-setting.patch
#
Patch100:	0001-data-remove-bogus-param-for-meson-i18n.merge_file.patch
BuildRequires: meson
BuildRequires: pkgconfig(glib-2.0)
BuildRequires: pkgconfig(gtk+-3.0)
BuildRequires: pkgconfig(libvirt)
BuildRequires: pkgconfig(libvirt-glib-1.0)
BuildRequires: pkgconfig(libxml-2.0)
BuildRequires: pkgconfig(gtk-vnc-2.0)
BuildRequires: pkgconfig(vte-2.91)
BuildRequires: pkgconfig(spice-client-gtk-3.0)
BuildRequires: pkgconfig(spice-protocol)
BuildRequires: gettext
BuildRequires: pkgconfig(govirt-1.0)
BuildRequires: pkgconfig(rest-1.0)
BuildRequires: pkgconfig(bash-completion)

Requires:       openssh-clients

%description
Virtual Machine Viewer (virt-viewer) is a lightweight interface for
interacting with the graphical display of a virtualized guest OS. It uses
GTK-VNC and libvirt to look up the VNC server details associated with the
guest. It is intended as a replacement for the traditional vncviewer
client, since the latter does not support SSL/TLS encryption of x509
certificate authentication.

%prep
%autosetup -p1

%build
%meson -Dbuild-id=%{release}
%meson_build

%install
%meson_install

%find_lang %{name}

%files -f %{name}.lang
%license COPYING
%doc README.md AUTHORS NEWS
%{_bindir}/*
%{_datadir}/icons/hicolor/*/apps/*
%{_datadir}/applications/remote-viewer.desktop
%{_datadir}/metainfo/remote-viewer.appdata.xml
%{_datadir}/mime/packages/virt-viewer-mime.xml
%{_mandir}/man1/*
%{_datadir}/bash-completion/completions/virt-viewer


%changelog
* Sun Mar 16 2025 wally <wally> 11.0-3.mga10
+ Revision: 2165056
- rebuild for libxml2 2.13.6

* Fri Nov 01 2024 daviddavid <daviddavid> 11.0-2.mga10
+ Revision: 2111975
- rebuild for mageia 10

* Tue Sep 27 2022 wally <wally> 11.0-1.mga9
+ Revision: 1892719
- new version 11.0 (from neoclust)
- add patches from upstream MR to port to rest-1.0

* Wed Apr 06 2022 umeabot <umeabot> 10.0-4.mga9
+ Revision: 1845916
- Mageia 9 Mass Rebuild

* Wed Nov 24 2021 tv <tv> 10.0-3.mga9
+ Revision: 1759031
- Backport fix for uninitialized variable
- Fix build with glib 2.69+ (rhbz#1988037)

* Thu May 06 2021 tv <tv> 10.0-1.mga9
+ Revision: 1721673
- Update to 10.0 release
- Switch to meson

* Sat May 02 2020 tv <tv> 9.0-1.mga8
+ Revision: 1577911
- 9.0

* Sat Feb 15 2020 umeabot <umeabot> 8.0-4.mga8
+ Revision: 1525276
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Fri Apr 12 2019 tv <tv> 8.0-3.mga7
+ Revision: 1389292
- Compile with VTE support

* Sun Mar 31 2019 tv <tv> 8.0-2.mga7
+ Revision: 1383408
- enable govirt support

* Thu Mar 21 2019 tv <tv> 8.0-1.mga7
+ Revision: 1379432
- new release

* Sun Sep 23 2018 umeabot <umeabot> 7.0-2.mga7
+ Revision: 1301624
- Mageia 7 Mass Rebuild

* Fri Aug 03 2018 tv <tv> 7.0-1.mga7
+ Revision: 1247092
- new release

* Thu Jun 21 2018 tv <tv> 6.0-2.mga7
+ Revision: 1238512
- add upstream patch to disable spice-controller

* Tue Sep 05 2017 tv <tv> 6.0-1.mga7
+ Revision: 1151324
- new release

* Wed Dec 07 2016 tv <tv> 5.0-1.mga6
+ Revision: 1072961
- fix file list
- new release

* Wed Apr 27 2016 tv <tv> 3.1-2.mga6
+ Revision: 1006787
- explicitely enable spice-gtk
- rebuild for latest spice stack

* Wed Mar 16 2016 tv <tv> 3.1-1.mga6
+ Revision: 992123
- new release

* Wed Feb 17 2016 umeabot <umeabot> 2.0-2.mga6
+ Revision: 963211
- Mageia 6 Mass Rebuild

* Tue Oct 27 2015 ycantin <ycantin> 2.0-1.mga6
+ Revision: 895778
- new version 2.0
- spec cleanup

* Wed Oct 15 2014 umeabot <umeabot> 1.0-3.mga5
+ Revision: 740613
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0-2.mga5
+ Revision: 690214
- Mageia 5 Mass Rebuild

* Tue Aug 05 2014 sander85 <sander85> 1.0-1.mga5
+ Revision: 659849
- New version: 1.0

* Mon Feb 17 2014 oden <oden> 0.6.0-1.mga5
+ Revision: 593578
- sync a bit with upstream spec file
- 0.6.0

* Fri Jan 24 2014 oden <oden> 0.5.7-1.mga4
+ Revision: 567704
- 0.5.7

* Sat Oct 19 2013 umeabot <umeabot> 0.5.6-2.mga4
+ Revision: 530254
- Mageia 4 Mass Rebuild

* Sun Jul 21 2013 fwang <fwang> 0.5.6-1.mga4
+ Revision: 456795
- update file list
- fix str fmt
- new version 0.5.6

* Mon Jan 14 2013 umeabot <umeabot> 0.5.4-3.mga3
+ Revision: 385423
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 23 2012 cjw <cjw> 0.5.4-2.mga3
+ Revision: 334090
- include spice client support

* Thu Oct 18 2012 tv <tv> 0.5.4-1.mga3
+ Revision: 307937
- new release

* Fri Aug 03 2012 tv <tv> 0.5.3-1.mga3
+ Revision: 278139
- patch 0: fix desktop file
- adjust file list
- new release

* Sat Jan 28 2012 tv <tv> 0.4.2-1.mga2
+ Revision: 202471
- new release

* Wed Sep 07 2011 tv <tv> 0.4.1-1.mga2
+ Revision: 140185
- new release
- further fix file list
- fix file list
- new release

* Tue Mar 15 2011 saispo <saispo> 0.3.1-1.mga1
+ Revision: 71975
- Add macro for language
- Add language files
- Add intltool BuildRequires
- imported package virt-viewer

